#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;
    vector<vector<long int> > a;
        for (int i = 0; i < n; i++) {
        vector<long int> v1;
        int d,u;
        cin >> d >> u;
        v1.push_back(d);
        v1.push_back(u);
        a.push_back(v1);
    }
    for(int i=0; i<m; i++){
        int l,r,x;
        cin >> l >> r >> x;
        int br=0;
        for(int j=l-1; j<r; j++){
//            vector<int> k=a[j];
            if (a[j][0]<=x && x<=a[j][1]) br += 1;
        }
        cout << br << endl;
    }
        
}